%global pypi_name pytest-fixture-config

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        %mkrel 4
Summary:        Simple configuration objects for Py.test fixtures
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-fixture-config
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-six

%description
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%prep
%autosetup -n %{pypi_name}-%{version}

# This is not needed when building from the sdist
sed -i -e '/setuptools-git/d' common_setup.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md CHANGES.md
%{python3_sitelib}/*


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.7.0-4.mga9
+ Revision: 1828466
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.7.0-3.mga9
+ Revision: 1775821
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 1.7.0-2.mga9
+ Revision: 1708453
- rebuild for python 3.9

* Thu Mar 11 2021 guillomovitch <guillomovitch> 1.7.0-1.mga9
+ Revision: 1701614
- imported package python-pytest-fixture-config

